Subject: Re: colored diff
From: [email-masked] (Stephen Vance)

15 Oct 1998 22:52:03 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Christoph Kukulies <[email-masked]>,
        [email-masked]

There is a utility called tkdiff that is a TCL/TK graphical diff program.
It uses highlighting of lines in a side-by-side window format to do roughly
what you want.  I don't remember the URL for it, but I know you can find a
variant of it at http://www.perforce.com in their unsupported utilities
section.

Christoph Kukulies wrote:

> A bit off-topic but maybe someone knows a solution:
>
> I'm looking a  (gnu) diff program, that is capable of highlighting
> the differences between two files.
>
> Normally diff writes lines like
>
> 1,6c1,6
> < a b c d e
> < a b c d e
> < a b c d e
> < a b c d e
> < a b c d e
> < a b c d e
> ---
> > a b c c e
> > a b c c e
> > a b c c e
> > a b c c e
> > a b c c e
> > a b c c e
>
> Is there version of diff that highlights the actual difference in the
> line ?
>
> --
> Chris Christoph P. U. Kukulies [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

--
Stephen Vance                           |  http://www.deneb.com
Deneb Robotics, Inc.                    |  mailto:[email-masked]
5500 New King Street                    |  Phone: (248) 267-9696
Troy, MI 48098-2615                     |  Fax:   (248) 267-8585

What is done well is done quickly enough. -Augustus Caesar

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".